Package com.jangular.backend.config

# Class WebSecurityConfig

java.lang.Object
com.jangular.backend.config.WebSecurityConfig

@Configuration @EnableWebSecurity @EnableMethodSecurity(securedEnabled=true, jsr250Enabled=true) public class WebSecurityConfig extends Object

## Constructor Summary

Constructors
Constructor
Description
`WebSecurityConfig()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.authentication.AuthenticationManager`
`authenticationManager(org.springframework.security.config.annotation.authentication.configuration.AuthenticationConfiguration authenticationConfiguration)`
`org.springframework.web.cors.CorsConfigurationSource`
`corsConfigurationSource()`
`JwtAuthenticationFilter`
`jwtAuthenticationFilter()`
`org.springframework.security.web.SecurityFilterChain`
`securityFilterChain(org.springframework.security.config.annotation.web.builders.HttpSecurity http)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebSecurityConfig

public WebSecurityConfig()

## Method Details

### jwtAuthenticationFilter

@Bean public JwtAuthenticationFilter jwtAuthenticationFilter()

### securityFilterChain

@Bean public org.springframework.security.web.SecurityFilterChain securityFilterChain(org.springframework.security.config.annotation.web.builders.HttpSecurity http) throws Exception

Throws:
  `Exception`

### authenticationManager

@Bean public org.springframework.security.authentication.AuthenticationManager authenticationManager(org.springframework.security.config.annotation.authentication.configuration.AuthenticationConfiguration authenticationConfiguration) throws Exception

Throws:
  `Exception`

### corsConfigurationSource

@Bean public org.springframework.web.cors.CorsConfigurationSource corsConfigurationSource()